Obtener reporte programado por ID
curl --request GET \
--url https://api.ugps.io/api/scheduled-reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/scheduled-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/scheduled-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"clientId": {
"_id": "<string>",
"name": "<string>"
},
"createdBy": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"reportType": "trips_history",
"assetIds": [
{
"_id": "<string>",
"name": "<string>",
"plate": "<string>"
}
],
"reportConfig": {
"speedLimit": 123,
"minDuration": 123,
"fuelNormRate": 123,
"fuelPrice": 123
},
"includeSummary": true,
"frequency": "daily",
"weekDays": [
3
],
"monthDays": [
16
],
"executionTime": "08:30",
"periodValue": 123,
"periodUnit": "hours",
"controlDays": [
"monday"
],
"format": [
"pdf"
],
"recipients": [
"jsmith@example.com"
],
"isActive": true,
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Token inválido o expirado"
}Reportes - Reportes Programados
Obtener reporte programado por ID
Obtiene un reporte programado específico del cliente autenticado
GET
/
api
/
scheduled-reports
/
{id}
Obtener reporte programado por ID
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
ID del reporte programado
Response
Reporte programado encontrado
ID del reporte programado
Nombre del reporte
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
trips_history, stops_history, speed_excess Show child attributes
Show child attributes
Show child attributes
Show child attributes
daily: solo hora. weekly: requiere weekDays. monthly: requiere monthDays.
Available options:
daily, weekly, monthly Solo aplica si frequency es weekly (0=domingo, 6=sábado)
Required range:
0 <= x <= 6Solo aplica si frequency es monthly
Required range:
1 <= x <= 31Pattern:
^([01]\d|2[0-3]):[0-5]\d$Example:
"08:30"
Available options:
hours, days Días de la semana cuyos datos se incluyen en el reporte
Available options:
monday, tuesday, wednesday, thursday, friday, saturday, sunday Formatos de archivo. Si se envían múltiples, se genera un ZIP.
Available options:
pdf, xlsx